Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Get an insight

GET /insights/{id}

Retrieves the specified insight report and its results.

Parametri di intestazione

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview

Parametri di query

includeCoordinates boolean

Whether to include coordinates for visualization in the response. Defaults to false.

api-version string necessario

The API version to use for this operation.

Parametri del percorso

id string necessario

The unique identifier for the insights report.

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
id string necessario

The unique identifier for the insights report.

metadata InsightsMetadata necessario

Metadata about the insights.

createdAt string necessario

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string necessario

Enum describing allowed operation states.

Uno qualsiasi dei seguenti:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string necessario

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison necessario

The request of the insights report.

Uno dei seguenti:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum necessario

The type of insights request.

EvaluationRunClusterInsight
evalId string necessario

Evaluation Id for the insights.

runIds string[] necessario

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum necessario

The type of request.

AgentClusterInsight
agentName string necessario

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum necessario

The type of request.

EvaluationComparison
evalId string necessario

Identifier for the evaluation.

baselineRunId string necessario

The baseline run ID for comparison.

treatmentRunIds string[] necessario

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno dei seguenti:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum necessario

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] necessario

Comparison results for each treatment run against the baseline.

method string necessario

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum necessario

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum necessario

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

GET /insights/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026